
Infrastructure - Story #1386

Generation of SOLR index for Mercury

2011-02-28 20:22 - Rob Nahf

Status: Closed Start date: 2011-10-10

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Story Points:    

Description

Mercury relies on a SOLR index that is populated with information from the the system metadata for all objects, relationships from the

resource maps, and additional information from the science metadata documents.

This story encompasses the activities associated with configuration, structure, and generation of the index on the coordinating nodes.

Related to #2004

Subtasks:

Task # 1830: Add additional fields required for Mercury Closed

Task # 1831: populate essential mercury fields Closed

Task # 1832: update d1_cn_indexer to make use of the task list Closed

Task # 1833: Index task generator should add tasks to a table in pgsql Rejected

Task # 1834: Update indexing integration tests Rejected

Task # 2254: Provide data mining configuration for missing science metadata Closed

Task # 2263: Design and implement new solr field generation class Closed

Task # 2295: Update fullText field in solr schema.xml Closed

Related issues:

Related to Infrastructure - Story #2004: Finalize Mercury for release Closed 2011-01-07

History

#1 - 2011-10-07 19:48 - Dave Vieglais

- Target version set to Sprint-2011.41-Block.5

- Position deleted (158)

- Position set to 32

#2 - 2011-10-10 15:20 - Dave Vieglais

- Estimated time set to 24.00

- Assignee set to Dave Vieglais

- Category set to d1_indexer

- Subject changed from mercury search index: cleanup and adding to to Generation of SOLR index for Mercury

- Milestone set to None

- translation missing: en.field_story_points set to 8

#3 - 2011-10-10 15:55 - Dave Vieglais

- Status changed from New to In Progress

#4 - 2011-10-25 16:27 - Dave Vieglais

- Position set to 1

- Position deleted (39)

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6
#5 - 2011-10-31 17:13 - Dave Vieglais

- Position set to 7

- Position deleted (15)

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

#6 - 2011-11-07 15:14 - Dave Vieglais

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position set to 1

- Position deleted (17)

#7 - 2011-11-15 03:55 - Dave Vieglais

- Position deleted (16)

- Position set to 312

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

#8 - 2011-11-28 18:25 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

- Position deleted (305)

#9 - 2011-12-06 14:37 - Dave Vieglais

- Position set to 326

- Position deleted (23)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#10 - 2011-12-19 18:47 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

- Position set to 15

- Position deleted (326)

#11 - 2012-01-04 18:46 - Dave Vieglais

- Position deleted (17)

- Position changed from 1 to 332

- Position set to 1

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1

#12 - 2012-01-17 15:52 - Dave Vieglais

- Position deleted (345)

- Position set to 12

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

#13 - 2012-01-30 16:31 - Dave Vieglais

- Position deleted (15)

- Position set to 3

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#14 - 2012-02-13 18:13 - Dave Vieglais

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position set to 1
- Position deleted (37)

#15 - 2017-09-05 16:26 - Dave Vieglais

- Status changed from In Progress to Closed
